"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VariableQuickOpenItem = exports.VariableQuickOpenService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_quick_open_1 = require("@opensumi/ide-quick-open");
let VariableQuickOpenService = class VariableQuickOpenService {
    open() {
        this.items = this.variableRegistry.getVariables().map((v) => new VariableQuickOpenItem(v.name, v.description));
        this.quickOpenService.open(this, {
            placeholder: (0, ide_core_browser_1.localize)('variable.registered.variables'),
            fuzzyMatchLabel: true,
            fuzzyMatchDescription: true,
            // fuzzySort: true,
        });
    }
    onType(lookFor, acceptor) {
        acceptor(this.items);
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_browser_1.VariableRegistry),
    tslib_1.__metadata("design:type", Object)
], VariableQuickOpenService.prototype, "variableRegistry", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_quick_open_1.QuickOpenService),
    tslib_1.__metadata("design:type", Object)
], VariableQuickOpenService.prototype, "quickOpenService", void 0);
VariableQuickOpenService = tslib_1.__decorate([
    (0, di_1.Injectable)()
], VariableQuickOpenService);
exports.VariableQuickOpenService = VariableQuickOpenService;
class VariableQuickOpenItem extends ide_quick_open_1.QuickOpenItem {
    constructor(name, description) {
        super({});
        this.name = name;
        this.description = description;
    }
    getLabel() {
        return '${' + this.name + '}';
    }
    getDetail() {
        return this.description || '';
    }
    run(mode) {
        return false;
    }
}
exports.VariableQuickOpenItem = VariableQuickOpenItem;
//# sourceMappingURL=variable-quick-open.service.js.map